package model;

public class Getrank implements Comparable<Getrank>
{
	private boolean alkoholisch;
	private int     ml;
	private double  preis;
	
	public Getrank() throws GetrankException
	{
		setAlkoholisch(false);
		setMl(500);
		setPreis(1.7);
	}
	
	public Getrank(boolean alkoholisch, int ml, double preis) throws GetrankException
	{
		setAlkoholisch(alkoholisch);
		setMl(ml);
		setPreis(preis);
	}	
	
	public boolean isAlkoholisch()
	{
		return alkoholisch;
	}
	
	public void setAlkoholisch(boolean alkoholisch)
	{
		this.alkoholisch = alkoholisch;
	}
	
	public int getMl()
	{
		return ml;
	}
	
	public void setMl(int ml)
	{
		this.ml = ml;
	}
	
	public double getPreis()
	{
		return preis;
	}
	
	public void setPreis(double preis) throws GetrankException
	{
		if ((preis >= 0.5) && (preis <= 4))
		{
			this.preis = preis;
		}
		else
		{
			throw new GetrankException("Fehler: der Preis muss zwischen 0,5€ und 4€ liegen!");
		}
	}
	
	public String toString()
	{
		return 	alkoholisch + "   " + ml + "ml   " + preis + "€";
	}

	@Override
	public int compareTo(Getrank o)
	{
		//return preis - o.getPreis();
		//return name.compareTo(o.getName());
		
		if (preis < o.getPreis())
		{
			return -1;
		}
		else
		{
			if (preis > o.getPreis())
			{
				return 1;
			}
			else
			{
				return 0;
			}
		}
	}
}
