package model;

import java.util.ArrayList;
import java.util.Collections;

import application.Main;
import javafx.scene.control.Alert.AlertType;

public class Shop
{
	private ArrayList<Getrank> getranke;
	
	public Shop()
	{
		getranke = new ArrayList<>(20);
	}

	public ArrayList<Getrank> getGetranke()
	{
		return getranke;
	}
	
	public double maxPreis() throws GetrankException
	{
		double max;
		
		max = -9999;
		for (Getrank g: getranke)
		{
			if (g.getPreis() > max)
			{
				max = g.getPreis();
			}
		}
		if (max < -9990)
			throw new GetrankException("Fehler: kein Getränk!");
		return max;
	}
	
	public void sortPreis()
	{
		Collections.sort(getranke);
	}
	
	public void importGetranke(String filename) throws GetrankException
	{
		Getrank g0, g1, g2, g3, g4, g5, g6, g7, g8, g9;
		
		g0 = new Getrank(false, 500, 0.5);
		g1 = new Getrank(false, 700, 3.5);
		g2 = new Getrank(true,  500, 2.5);
		g3 = new Getrank(false, 600, 1.5);
		g4 = new Getrank(false, 800, 3.5);
		g5 = new Getrank(true,  900, 2.5);
		g6 = new Getrank(false, 500, 1.5);
		g7 = new Getrank(false, 600, 2.5);
		g8 = new Getrank(true,  600, 1.5);
		g9 = new Getrank(false, 500, 1.5);
		hinzufugen(g0);
		hinzufugen(g1);
		hinzufugen(g2);
		hinzufugen(g3);
		hinzufugen(g4);
		hinzufugen(g5);
		hinzufugen(g6);
		hinzufugen(g7);
		hinzufugen(g8);
		hinzufugen(g9);
	}
	
	public void hinzufugen(Getrank getrank) throws GetrankException
	{
		if (getrank != null)
		{
			getranke.add(getrank);
		}
		else
		{
			throw  new GetrankException("Fehler: kein Getränk!");
		}
	}
	
	public String toString()
	{
		String erg;
		
		erg = "";
		for (Getrank g: getranke)
		{
			erg += g.toString() + "\n";
		}
		return erg;
	}
}
